| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions
LTC2758.cpp File Reference
Digital-to-Analog Converters (DAC) » LTC2758: Dual Serial 18-Bit SoftSpan IOUT DAC

Library for LTC2758 Dual Serial 18-Bit SoftSpan IOUT DAC. More...

## Detailed Description

Library for LTC2758 Dual Serial 18-Bit SoftSpan IOUT DAC.

Definition in file LTC2758.cpp.

Go to the source code of this file.

## Functions
void | LTC2758_write (uint8_t cs, uint8_t dac_command, uint8_t dac_address, uint32_t data)
| Transmits 32 bit input stream: 4-bit command + 4-bit don't-care + 18-bit data + 6 don't care. More...
float | LTC2758_code_to_voltage (uint32_t dac_code, float min_output, float max_output)
| Calculate the LTC2758 DAC output voltage given the DAC code and and the minimum / maximum outputs for a given softspan range. More...
uint32_t | LTC2758_voltage_to_code (float dac_voltage, float min_output, float max_output)
| Calculate a LTC2758 DAC code given the desired output voltage and the minimum / maximum outputs for a given softspan range. More...

## Function Documentation

## ◆ LTC2758_code_to_voltage()

float LTC2758_code_to_voltage | ( | uint32_t | dac_code,
|  | float | min_output,
|  | float | max_output
| ) |  |

Calculate the LTC2758 DAC output voltage given the DAC code and and the minimum / maximum outputs for a given softspan range.

Returns
  Floating point voltage

Definition at line 89 of file LTC2758.cpp.

## ◆ LTC2758_voltage_to_code()

uint32_t LTC2758_voltage_to_code | ( | float | dac_voltage,
|  | float | min_output,
|  | float | max_output
| ) |  |

Calculate a LTC2758 DAC code given the desired output voltage and the minimum / maximum outputs for a given softspan range.

Returns
  32 bit data

Definition at line 97 of file LTC2758.cpp.

## ◆ LTC2758_write()

void LTC2758_write | ( | uint8_t | cs,
|  | uint8_t | dac_command,
|  | uint8_t | dac_address,
|  | uint32_t | data
| ) |  |

Transmits 32 bit input stream: 4-bit command + 4-bit don't-care + 18-bit data + 6 don't care.

Returns
  void

Definition at line 77 of file LTC2758.cpp.